using Edu.Common.Enum;
using Edu.Model.Entity.OKR;
using Edu.Model.ViewModel.OKR;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using VT.FW.DB.Dapper;

namespace Edu.Repository.OKR
{
    /// <summary>
    /// OKR评分仓储层
    /// </summary>
    public class RB_OKR_ScoreRepository : BaseRepository<RB_OKR_Score>
    {

        /// <summary>
        /// 获取分页列表
        /// </summary>
        /// <param name="pageIndex"></param>
        /// <param name="pageSize"></param>
        /// <param name="rowsCount"></param>
        /// <param name="demodel"></param>
        /// <returns></returns>
        public List<RB_OKR_Score_ViewModel> GetPageList(int pageIndex, int pageSize, out long rowsCount, RB_OKR_Score_ViewModel demodel)
        {
            string where = $@" 1=1 and Status =0";
            if (demodel.Group_Id > 0)
            {
                where += $@" and {nameof(RB_OKR_Score_ViewModel.Group_Id)} ={demodel.Group_Id}";
            }
            if (demodel.IsDefault > 0)
            {
                where += $@" and {nameof(RB_OKR_Score_ViewModel.IsDefault)} ={demodel.IsDefault}";
            }

            string sql = $@" select * from RB_OKR_Score where {where} order by Id desc";
            return GetPage<RB_OKR_Score_ViewModel>(pageIndex, pageSize, out rowsCount, sql).ToList();
        }

        /// <summary>
        /// 获取列表
        /// </summary>
        /// <param name="demodel"></param>
        /// <returns></returns>
        public List<RB_OKR_Score_ViewModel> GetList(RB_OKR_Score_ViewModel demodel)
        {
            string where = $@" 1=1 and Status =0";
            if (demodel.Group_Id > 0)
            {
                where += $@" and {nameof(RB_OKR_Score_ViewModel.Group_Id)} ={demodel.Group_Id}";
            }
            if (demodel.IsDefault > 0)
            {
                where += $@" and {nameof(RB_OKR_Score_ViewModel.IsDefault)} ={demodel.IsDefault}";
            }

            string sql = $@" select * from RB_OKR_Score where {where} order by Id desc";
            return Get<RB_OKR_Score_ViewModel>(sql).ToList();
        }
    }
}
